moeoIBMOLS(3)

NAME
moeoIBMOLS - Indicator-Based Multi-Objective Local Search (IBMOLS) as described in Basseur M., Burke K.

SYNOPSIS

#include <moeoIBMOLS.h>

Inherits moeoLS< MOEOT, eoPop< MOEOT > & >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
The type of objective vector.

  Public Member Functions
moeoIBMOLS (moMoveInit< Move > &_moveInit, moNextMove< Move > &_nextMove, eoEvalFunc< MOEOT > &_eval, moeoMoveIncrEval< Move > &_moveIncrEval, moeoBinaryIndicatorBasedFitnessAssignment< MOEOT > &_fitnessAssignment, eoContinue< MOEOT > &_continuator)
Ctor.
void operator() (eoPop< MOEOT > &_pop, moeoArchive< MOEOT > &_arch)
Apply the local search until a local archive does not change or another stopping criteria is met and update the archive _arch with new non-dominated solutions.

  Private Member Functions
void oneStep (eoPop< MOEOT > &_pop)
Apply one step of the local search to the population _pop.
void new_oneStep (eoPop< MOEOT > &_pop)
Apply one step of the local search to the population _pop.

  Private Attributes
moMoveInit< Move > & moveInit
the move initializer
moNextMove< Move > & nextMove
the neighborhood explorer
eoEvalFunc< MOEOT > & eval
the full evaluation
moeoMoveIncrEval< Move > & moveIncrEval
the incremental evaluation
moeoBinaryIndicatorBasedFitnessAssignment< MOEOT > & fitnessAssignment
the fitness assignment strategy
eoContinue< MOEOT > & continuator
the stopping criteria

  Classes
class OneObjectiveComparator

Detailed Description

  template<class MOEOT, class Move> class moeoIBMOLS< MOEOT, Move >
Indicator-Based Multi-Objective Local Search (IBMOLS) as described in Basseur M., Burke K. : 'Indicator-Based Multi-Objective Local Search' (2007).

Definition at line 33 of file moeoIBMOLS.h.

Constructor & Destructor Documentation

  template<class MOEOT, class Move> moeoIBMOLS< MOEOT, Move >::moeoIBMOLS (moMoveInit< Move > & _moveInit, moNextMove< Move > & _nextMove, eoEvalFunc< MOEOT > & _eval, moeoMoveIncrEval< Move > & _moveIncrEval, moeoBinaryIndicatorBasedFitnessAssignment< MOEOT > & _fitnessAssignment, eoContinue< MOEOT > & _continuator) [inline]

Ctor.

Parameters:
    _moveInit the move initializer
    _nextMove the neighborhood explorer
    _eval the full evaluation
    _moveIncrEval the incremental evaluation
    _fitnessAssignment the fitness assignment strategy
    _continuator the stopping criteria

Definition at line 50 of file moeoIBMOLS.h.

Member Function Documentation

  template<class MOEOT, class Move> void moeoIBMOLS< MOEOT, Move >::operator() (eoPop< MOEOT > & _pop, moeoArchive< MOEOT > & _arch) [inline, virtual]

Apply the local search until a local archive does not change or another stopping criteria is met and update the archive _arch with new non-dominated solutions.

Parameters:
    _pop the initial population
    _arch the (updated) archive

Implements eoBF< eoPop< MOEOT > &, moeoArchive< MOEOT > &, void >.

Definition at line 73 of file moeoIBMOLS.h.

References moeoIBMOLS< MOEOT, Move >::continuator, moeoArchive< MOEOT >::equals(), moeoIBMOLS< MOEOT, Move >::fitnessAssignment, moeoIBMOLS< MOEOT, Move >::oneStep(), and moeoArchive< MOEOT >::update().

  template<class MOEOT, class Move> void moeoIBMOLS< MOEOT, Move >::oneStep (eoPop< MOEOT > & _pop) [inline, private]

Apply one step of the local search to the population _pop.

Parameters:
    _pop the population

Definition at line 120 of file moeoIBMOLS.h.

References moeoIBMOLS< MOEOT, Move >::continuator, moeoIBMOLS< MOEOT, Move >::fitnessAssignment, moeoIBMOLS< MOEOT, Move >::moveIncrEval, moeoIBMOLS< MOEOT, Move >::moveInit, and moeoIBMOLS< MOEOT, Move >::nextMove.

Referenced by moeoIBMOLS< MOEOT, Move >::operator()().

  template<class MOEOT, class Move> void moeoIBMOLS< MOEOT, Move >::new_oneStep (eoPop< MOEOT > & _pop) [inline, private]

Apply one step of the local search to the population _pop.

Parameters:
    _pop the population

Definition at line 304 of file moeoIBMOLS.h.

References moeoIBMOLS< MOEOT, Move >::continuator, moeoIBMOLS< MOEOT, Move >::fitnessAssignment, moeoIBMOLS< MOEOT, Move >::moveIncrEval, moeoIBMOLS< MOEOT, Move >::moveInit, and moeoIBMOLS< MOEOT, Move >::nextMove.

Author

Generated automatically by Doxygen for ParadisEO-MOEOMovingObjects from the source code.